package org.dromara.system.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.system.domain.GpsData;
import org.dromara.system.domain.bo.GpsDataBo;
import org.dromara.system.domain.vo.GpsDataVo;

import java.util.Collection;
import java.util.List;

/**
 * GpsService接口
 *
 * @author Lion Li
 * @date 2024-02-22
 */
public interface ITblGpsDataService {

    /**
     * 查询丢失货物
     */
    GpsDataVo queryById(Long id);

    /**
     * 查询丢失货物列表
     */
    TableDataInfo<GpsDataVo> queryPageList(GpsDataBo bo, PageQuery pageQuery);

    /**
     * 查询丢失货物列表
     */
    List<GpsDataVo> queryList(GpsDataBo bo);

    /**
     * 新增丢失货物
     */
    Boolean insertByBo(GpsData bo);

    Boolean insertData(GpsData bo);

    /**
     * 修改丢失货物
     */
    Boolean updateByBo(GpsData bo);

    /**
     * 校验并批量删除丢失货物信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
